TypeScript SDK
import { createClient } from "@parlayx/sdk";
const client = createClient({ apiKey: process.env.PARLAYX_API_KEY! });
const { matches } = await client.matchMarkets({
marketVenue: "polymarket",
marketId: "0xd595eb9b81885ff018738300c79047e3ec89e87294424f57a29a7fa9162bf116",
});
for (const match of matches) {
console.log(match.venue, match.status, match.title);
}curl --request GET \
--url https://api.parlayx.com/v1/markets/match \
--header 'x-api-key: <api-key>'import requests
url = "https://api.parlayx.com/v1/markets/match"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.parlayx.com/v1/markets/match', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"matches": [
{
"venue": "polymarket",
"title": "<string>",
"status": "open",
"outcomes": [
{
"name": "Yes",
"outcomeId": "<string>",
"mid": 123,
"bid": 0.54,
"ask": 0.56
}
]
}
]
}{
"error": {
"message": "<string>"
}
}{
"message": "Forbidden"
}{
"error": {
"message": "<string>"
}
}Markets
Find Market Matches
Returns exact matches for a given source market across supported target venues.
GET
/
v1
/
markets
/
match
TypeScript SDK
import { createClient } from "@parlayx/sdk";
const client = createClient({ apiKey: process.env.PARLAYX_API_KEY! });
const { matches } = await client.matchMarkets({
marketVenue: "polymarket",
marketId: "0xd595eb9b81885ff018738300c79047e3ec89e87294424f57a29a7fa9162bf116",
});
for (const match of matches) {
console.log(match.venue, match.status, match.title);
}Authorizations
Query Parameters
Source market venue (must be a supported venue)
Available options:
polymarket, limitless, predict_fun Example:
"polymarket"
Venue-native identifier for the source market (Polymarket: condition_id; Limitless: slug).
Minimum string length:
1Response
Matching markets
A Polymarket market matched to the query.
- PolymarketMatch
- LimitlessMatch
Show child attributes
Show child attributes
⌘I